Bug 223624 - sysutils/battray 2.3 points to invalid source file
Summary: sysutils/battray 2.3 points to invalid source file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-12 10:14 UTC by bsd
Modified: 2017-11-27 15:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tz)
tz: merge-quarterly+


Attachments
Proposed patch (1.35 KB, patch)
2017-11-20 16:17 UTC, Torsten Zuehlsdorff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bsd 2017-11-12 10:14:38 UTC
Hello,

The url in the Makefile does not point to a valid source file.
Therefore the port fetches the old 2.1 source from distcache.FreeBSD.org

The BB_COMMIT needs to be changed as well to point to 2.3 release.
Comment 1 Torsten Zuehlsdorff freebsd_committer 2017-11-20 16:17:58 UTC
Created attachment 188139 [details]
Proposed patch

Aloha,

I was too fast and did not notice this noop.

I migrated the patch to the new GitHub home. Can you please test the attached patch?

Greetings,
Torsten
Comment 2 bsd 2017-11-20 20:32:20 UTC
Aloha,

Build is good, correct sources, battray starts without errors and shows correct version.

It works!

Thank you.
MK
Comment 3 commit-hook freebsd_committer 2017-11-21 11:06:11 UTC
A commit references this bug:

Author: tz
Date: Tue Nov 21 11:05:14 UTC 2017
New revision: 454594
URL: https://svnweb.freebsd.org/changeset/ports/454594

Log:
  sysutils/battray: Update to 2.3

  The last update was a no-op. Pointy hat to myself.

  Switch to GitHub and mitigate the need of a manual commit-adjustment
  for an update.

  PR:          223624
  Reported by: mat, bsd@mkfs.nl
  Reviewed by: bsd@mkfs.nl
  MFH:         2017Q4

Changes:
  head/sysutils/battray/Makefile
  head/sysutils/battray/distinfo
Comment 4 Torsten Zuehlsdorff freebsd_committer 2017-11-21 11:07:04 UTC
Thanks for the feedback. Committed now! :)
Comment 5 commit-hook freebsd_committer 2017-11-27 15:22:54 UTC
A commit references this bug:

Author: tz
Date: Mon Nov 27 15:22:45 UTC 2017
New revision: 454962
URL: https://svnweb.freebsd.org/changeset/ports/454962

Log:
  MFH: r454594

  sysutils/battray: Update to 2.3

  The last update was a no-op. Pointy hat to myself.

  Switch to GitHub and mitigate the need of a manual commit-adjustment
  for an update.

  PR:          223624
  Reported by: mat, bsd@mkfs.nl
  Reviewed by: bsd@mkfs.nl

  Approved by: ports-secteam (swills)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/sysutils/battray/Makefile
  branches/2017Q4/sysutils/battray/distinfo